* {
    box-sizing: border-box;
}

html,
body {
    margin: 0;
    min-height: 100vh;
}

body {
    display: flex;
    flex-direction: column;
    font-family: "Inter", sans-serif;
    background: #F8FAFC;
    color: #1E293B;
    font-weight: 400;
    font-size: 1rem;
}

.header {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 1.5rem;
    font-weight: 700;
    min-height: 4rem;
    background: #FFFFFF;
    color: #1E293B;
    border-bottom: solid 2px #E2E8F0;
}

.header > .header-title {
    margin-left: 1.5rem;
    text-decoration: none;
    color: #1E293B;
}

.header > .header-title:focus-visible {
    outline: 2px solid #1E293B;
    outline-offset: 2.5px;
    border: none;
}

.header .header-menu {
    margin-left: auto;
    height: 4rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.header .header-menu .header-menu-option {
    color: #1E293B;
    font-weight: 550;
    margin: 0 1rem;
    font-size: 1rem;
    text-decoration: none;
    border-bottom: 2px solid transparent;
    padding-bottom: 2px;
    transition: border-color 0.2s ease;
}

.header .header-menu .header-menu-option:hover {
    color: #1D4ED8 !important;
    border-bottom-color: #1E293B !important;
    ;
}

.header .header-menu .header-menu-option:focus-visible {
    color: #1D4ED8 !important;
    outline: 2px solid #1E293B;
    outline-offset: 2.5px;
    border-bottom-color: #1E293B !important;
}

.header .header-menu .header-menu-option.active {
    color: #1E293B;
    border-bottom-color: #1E293B;
    border-bottom: 3px solid;
}

.header .header-menu .header-menu-button {
    width: 4rem;
    height: 4rem;
    color: #1E293B;
    background: none;
    border: none;
    border-left: solid 2px #E2E8F0;
    cursor: pointer;
    user-select: none;
    display: none;
    align-items: center;
    justify-content: center;
    transition: background-color 0.2s ease;
}

.header .header-menu .header-menu-button:hover {
    background-color: #E2E8F0;
}

.header .header-menu .header-menu-button:focus-visible {
    outline: 2px solid #0F172A;
    outline-offset: 2.5px;
    border: none;
    background-color: #DBEAFE;
}

.header .header-menu .header-menu-button > svg {
    width: 2rem;
    height: 2rem;
    color: #1E293B;
}

@media (max-width: 768px) {
    .header .header-menu .header-menu-option {
        display: none;
    }

    .header .header-menu .header-menu-button {
        display: flex;
    }
}

.header-close-menu-button {
    display: flex;
    padding: 0px;
    position: fixed;
    top: 0px;
    right: 0px;
    background: white;
    align-items: center;
    align-self: end;
    width: 4rem;
    height: 4rem;
    color: #1E293B;
    border: none;
    border-left: solid 2px #E2E8F0;
    cursor: pointer;
    user-select: none;
    align-items: center;
    justify-content: center;
    transition: background-color 0.2s ease;
}

.header-close-menu-button:hover {
    background-color: #E2E8F0;
}

.header-close-menu-button:focus-visible {
    outline: 2px solid #0F172A;
    outline-offset: 2.5px;
    border: none;
    background-color: #DBEAFE;
}

.header-mobile-menu {
    position: fixed;
    top: 4rem;
    margin-right: 0px;
    padding-top: 0px;
    overflow-y: auto;
    margin-top: 0px;
    padding: 0px;
    width: 100%;
    max-width: calc(100% - 5rem);
    height: calc(-4rem + 100dvh);
    background: white;
    z-index: 3001;
    border: none;
    border-top: solid 2px #E2E8F0;
    border-left: solid 2px #E2E8F0;
}

.header-mobile-menu::backdrop {
    top: 4rem;
    display: block;
    width: 100%;
    height: 100%;
    background-color: rgba(15, 23, 42, 0.75);
    backdrop-filter: blur(0.5rem);
}

.main {
    flex: 1;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem;
}

h1 {
    font-size: 2rem;
    margin: 1rem 0 0 0;
}

.footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background: #0F172A;
    font-size: 0.75rem;
    height: 3rem;
}

.footer .footer-copyright {
    color: #E2E8F0;
    margin: 1rem;
}

.footer-links {
    display: flex;
    flex-direction: row;
}

.footer-links .footer-links-separator {
    border-right: 2px solid;
    height: 1rem;
    margin: auto 0;
    margin-right: 1rem;
    color: #E2E8F0;
}

.footer-links a {
    color: #E2E8F0;
    text-decoration: none;
    border-bottom: 2px solid transparent;
    margin-right: 1rem;
    margin-left: 0px;
    width: fit-content;
    transition: border-color 0.2s ease, color 0.2s ease;
}

.footer-links a:hover {
    color: #FFF;
    border-bottom-color: #E2E8F0;
}

.footer-links a:focus-visible {
    outline: 2px solid #E2E8F0;
    outline-offset: 2.5px;
    color: #FFF;
    border-bottom-color: #E2E8F0;
}
